# \Thelia\Core\DependencyInjection\CompilerRegisterParserPluginPass

Register parser plugins. These plugins shouild be tagged thelia.parser.register_plugin in the configuration.

## Summary

Methods
Properties
Constants
process()
No public properties found
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  Core/DependencyInjection/Compiler/RegisterParserPluginPass.php
Package
  \Default
Class hierarchy
  \Thelia\Core\DependencyInjection\Compiler\RegisterParserPluginPass

## Tags

None found

## Methods

### process()

    process(\Symfony\Component\DependencyInjection\ContainerBuilder $container)

You can modify the container here before it is dumped to PHP code.

#### Parameters

\Symfony\Component\DependencyInjection\ContainerBuilder | $container |

#

## Tags

api |

### RegisterParserPluginPass.php